Bug 219234 - spamd avc's
spamd avc's
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 19:17 EST by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-12-11 19:17:01 EST
After running sa-update to update to latest rules, I got some new AVC's, which
seem to have broken spamassassins ability to catch spam completely.


type=AVC msg=audit(1165882393.398:15): avc:  denied  { read } for  pid=2706
comm="spamd" name="3.001007" dev=md0 ino=5472259
scontext=user_u:system_r:spamd_t:s0 tcontext=user_u:object_r:var_lib_t:s0 tclass=dir
type=SYSCALL msg=audit(1165882393.398:15): arch=c000003e syscall=2 success=no
exit=-13 a0=1cf7940 a1=10800 a2=2 a3=0 items=0 ppid=2704 pid=2706
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="spamd" exe="/usr/bin/perl" subj=user_u:system_r:spamd_t:s0
key=(null)
type=AVC msg=audit(1165882393.398:16): avc:  denied  { read } for  pid=2706
comm="spamd" name="3.001007" dev=md0 ino=5472259
scontext=user_u:system_r:spamd_t:s0 tcontext=user_u:object_r:var_lib_t:s0 tclass=dir
type=SYSCALL msg=audit(1165882393.398:16): arch=c000003e syscall=2 success=no
exit=-13 a0=1cea6e0 a1=10800 a2=2 a3=8c7d70 items=0 ppid=2704 pid=2706
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="spamd" exe="/usr/bin/perl" subj=user_u:system_r:spamd_t:s0
key=(null)
Comment 1 Daniel Walsh 2006-12-12 10:16:38 EST
Where is this directory located ?  3.001007?
Comment 2 Dave Jones 2006-12-18 23:11:23 EST
/var/lib/spamassassin/
Comment 3 Daniel Walsh 2006-12-19 14:05:32 EST
Fixed in selinux-policy-2.4.6-15
Comment 4 Dave Jones 2007-01-01 21:30:46 EST
$ rpm -q selinux-policy-targeted
selinux-policy-targeted-2.4.6-17.fc6

type=AVC msg=audit(1167703149.314:7): avc:  denied  { read } for  pid=3137
comm="spamd" name="3.001007" dev=md0 ino=5472259
scontext=system_u:system_r:spamd_t:s0 tcontext=user_u:object_r:var_lib_t:s0
tclass=dir
type=AVC msg=audit(1167703149.315:8): avc:  denied  { read } for  pid=3137
comm="spamd" name="3.001007" dev=md0 ino=5472259
scontext=system_u:system_r:spamd_t:s0 tcontext=user_u:object_r:var_lib_t:s0
tclass=dir
type=AVC msg=audit(1167703241.378:19): avc:  denied  { read } for  pid=4772
comm="spamd" name="3.001007" dev=md0 ino=5472259
scontext=user_u:system_r:spamd_t:s0 tcontext=user_u:object_r:var_lib_t:s0 tclass=dir
type=AVC msg=audit(1167703241.379:20): avc:  denied  { read } for  pid=4772
comm="spamd" name="3.001007" dev=md0 ino=5472259
scontext=user_u:system_r:spamd_t:s0 tcontext=user_u:object_r:var_lib_t:s0 tclass=dir
Comment 5 Daniel Walsh 2007-01-02 10:27:06 EST
Ok fixed in selinux-policy-2.4.6-21
Comment 6 Daniel Walsh 2007-08-22 10:03:07 EDT
Closed as all fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.